<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">


  <ng-container
    *ngIf="typeAction === screenTypeConst.Update && screenCode === screenCodeConst.HRDV"
  >
    <!-- ghi nhận đồng ý -->
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkRecordApprove()"
      mbButtonText="{{ 'development.proposed-unit.button.sendPropose' | translate }}"
      (click)="acceptPropose()">
    </mb-button>
    <!-- gửi duyệt -->
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkSendApprove()"
      mbButtonText="{{ 'development.proposed-unit.button.sendPropose' | translate }}"
      (click)="sendPropose()">
    </mb-button>

  </ng-container>

  <ng-container *ngIf="typeAction === screenTypeConst.Detail">

  <ng-container *ngIf="checkApproveLDDV()">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
      (click)="agreeLeader()">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
      (click)="rejectLeader()"
      *ngIf="flowStatusCode === this.flowCodeConst.CHODUYET2">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.withDraw' | translate }}"
      (click)="otherIdea()">
    </mb-button>
  </ng-container>
    <!--duyệt rút đề xuất-->
  <ng-container *ngIf="checkWithdrawBtn()">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
      (click)="agreeWithdrawProposal( 1)">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
      (click)="agreeWithdrawProposal( 2)">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.otherIdea' | translate }}"
      (click)="agreeWithdrawProposal( 3)">
    </mb-button>
  </ng-container>

  <!-- rút đề xuất -->
  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    class="withdrawElement"
    (click)="showModalWithdraw(0)"
    *ngIf="checkWithdrawPropose()"
    mbButtonText="{{
      'development.proposed-unit.proposeMultiple.withdrawPropose' | translate
    }}"
  >
  </mb-button>
</ng-container>
  <!-- lưu -->
  <mb-button
    *ngIf="typeAction === screenTypeConst.Update && !isScreenHandle"
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
      (click)="savePropose()">
  </mb-button>
  <!-- xóa -->
  <mb-button
    mbButtonAvailableStyle="DANGER"
    mbButtonSize="LARGE"
    *ngIf="checkBtnDelete() && typeAction !== screenTypeConst.Create"
    mbButtonText="{{ 'development.proposed-unit.button.delete' | translate }}"
    (click)="delete($event)"
    >
  </mb-button>

    <!-- Xử lý PTNL   -->
   <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkHandleButton()"
      mbButtonText="{{ 'development.proposed-unit.button.handle' | translate }}"
      (click)="handle()">
    </mb-button>

  <!-- trả lại đề xuất -->
  <mb-button mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.returnPropose' | translate }}"
    *ngIf="checkReturnProposeButton()"
    (click)="showModalReturnPropose()"
  >
  </mb-button>

  <ng-container *ngIf="isScreenHandle">
    <ng-container
      *ngIf="checkSaveSendPropose()"
    >
      <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonSize='LARGE'
          mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
          (click)="saveHandle()">
      </mb-button>
      <mb-button mbButtonAvailableStyle="BORDER" mbButtonSize='LARGE'
          mbButtonText="{{ 'development.proposed-unit.button.sendApprove' | translate }}"
          (click)="processingPTNL()"
          *ngIf="checkBTNprocessingPTNL() && proposeDTO?.handleCode">
      </mb-button>
    </ng-container>
  </ng-container>

  <!--  Duyệt rút đề xuất thành phần-->
  <ng-container *ngIf="checkBtnWithdrawPTNL() && typeAction === screenType.detail">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
      (click)="agreeWithdrawProposalDetail(1)">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
      (click)="agreeWithdrawProposalDetail(2)">
    </mb-button>
  </ng-container>

  <!-- ý kiến khác thành phần KSPTNL -->
  <mb-button
    *ngIf="
      checkIdeaApproveKSPTNL() &&
      !proposeUnitForm.get('relationType')?.value && proposeDTO?.proposeDetails[0]?.groupByKSPTNL
    "
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    mbButtonText="{{
      'development.proposed-unit.button.otherIdea' | translate
    }}"
    (click)="otherIdeaElementKSPTNL()"
  >
  </mb-button>

  <!-- quay lại -->
  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    *ngIf="stateUrl"
    mbButtonText="{{ 'development.proposed-unit.button.back' | translate }}"
    (click)="back()"
  >
  </mb-button>



</div>

<nz-card id="tab1" *ngIf="typeAction !== screenTypeConst.Create" class="header-form m-0">

  <!-- <div class="action-breadcrumb-float-right">
    <ng-container *ngTemplateOutlet="action"></ng-container>
  </div> -->
  <!-- 1 thành phân -->
  <div nz-row [nzGutter]="[32, 32]" [formGroup]="proposeUnitForm">

    <div nz-col class="gutter-row" nzLg="6">
    <mb-select
    [mbDisable]="true"
    formControlName="formGroup"
    [mbDataSelects]="dataCommon.formGroupList"
    mbKeyLabel="name"
    mbKeyValue="id"
    mbLabelText="{{ 'development.proposed-unit.table.formGroup' | translate }}"
    mbPlaceholder="{{ 'development.proposed-unit.table.formGroup' | translate }}"
    [ngModelOptions]="{ standalone: true}"
  >
  </mb-select>
  </div>


  <!-- Thông tin màn sửa và chi tiết -->
  <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section">{{ 'development.proposed-unit.table.proposeCode' | translate }}</span
    ><br />
    <label class="text-label">{{ proposeUnitForm.get('id')?.value }}</label>
  </div>

  <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section">{{ 'development.proposed-unit.table.statusApprove' | translate }}</span
    ><br />
    <label class="text-label">{{ proposeUnitForm.get('flowStatusName')?.value }}</label>
  </div>

  <!-- Xử lý ptnl -->
  <div nz-col class="gutter-row" nzLg="6" *ngIf="proposeUnitForm.get('statusPublishName')?.value">
    <span class="title-section">{{ 'development.proposed-unit.table.statusPublish' | translate }}</span
    ><br />
    <label class="text-label">{{ proposeUnitForm.get('statusPublishName')?.value }}</label>
  </div>

  <div nz-col class="gutter-row" nzLg="6"
    *ngIf="proposeUnitForm.get('proposeUnitRequestName')?.value && screenCode === screenCodeConst.PTNL">
    <span class="title-section">{{ 'development.proposed-unit.table.sendProposeUnit' | translate }}</span
    ><br />
    <label class="text-label">{{ proposeUnitForm.get('proposeUnitRequestName')?.value }}</label>
  </div>

  <div
    nz-col
    class="gutter-row"
    nzLg="6"
    *ngIf="screenCode !== screenCodeConst.HRDV &&  proposeCategory === listProposeCategory.GROUP"
  >
    <span class="title-section">{{ 'development.proposed-unit.table.contentsOfthePlan' | translate }}</span
    ><br />
    <label *ngIf="!isScreenHandle" class="text-label">{{ proposeUnitForm.get('optionNote')?.value }}</label>


    <mb-input-text
    *ngIf="isScreenHandle && flowStatusCode === flowCodeConst.HANDLING6"
    formControlName="optionNote"
    mbPlaceholderText="{{ 'development.proposed-unit.table.contentsOfthePlan' | translate }}"

  ></mb-input-text>
  </div>
  <!-- Xử lý ptnl -->





  <div nz-col class="gutter-row" nzLg="6" *ngIf="proposeUnitForm.get('withdrawNote')?.value">
    <span class="title-section">{{
      'development.proposed-unit.table.noteWithdraw' | translate
    }}</span
    ><br />
    <label class="text-label">{{
      proposeUnitForm.get('withdrawNote')?.value
    }}</label>
  </div>


</div>
</nz-card>

<!-- Xử lý -->
<ul *ngIf="isScreenHandle || (!viewProposeLogsStatus() && typeAction !== screenTypeConst.Create) || (hasProcess && flowStatusCode === flowCodeConst.WITHDRAW) && screenCode !==  screenCodeConst.HRDV" nz-menu nzMode="horizontal" class="scroll__tab">
  <li
    class="scroll__tab--title"
    *ngFor="let tab of scrollTabs"
    nz-menu-item
    (click)="scrollTo(tab)"
    [id]="'#' + tab.scrollTo"
  >
    <span>{{ tab.title | translate }}</span>
  </li>
</ul>





<nz-card [formGroup]="employeeForm" class="card-personal-info">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div [nzGutter]="[32, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="6" id="empCode">
      <mb-input-text
        (click)="showModalPropose(footerTmplSingle, 'ADD')"
        [mbDisable]="typeAction !== screenTypeConst.Create"
        [mbPrefixTemplate]="suffixIconSearch"
        [mbSuffixTemplate]="suffixIconClose"
        formControlName="empCode"
        mbLabelText="{{
          'development.proposed-unit.table.empCode' | translate
        }}"
        [mbMaxLength]="20"
        mbPlaceholderText="{{
          'development.proposed-unit.table.empCode' | translate
        }}"
        [mbReadOnly]="true"
      >
      </mb-input-text>
      <ng-template #suffixIconSearch>
        <em nz-icon nzTheme="outline" nzType="search"></em>
      </ng-template>
      <ng-template #suffixIconClose>
        <em
          (click)="clearEmployeeCode($event); $event.stopPropagation()"
          *ngIf="
            employeeForm.get('empCode')?.value &&
            typeAction === screenTypeConst.Create
          "
          nz-icon
          nzTheme="outline"
          nzType="close-circle"
        ></em>
      </ng-template>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empName' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('fullName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.joinCompanyDate' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('joinCompanyDate')?.value
      }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.birthday' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('dateOfBirth')?.value
      }}</span>
    </div>

    <!-- Row 2 -->

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.title' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('jobName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.level' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('levelName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="12">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.unit' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('orgPathName')?.value
      }}</span>
    </div>

    <ng-container *ngIf="isSeeMore">
      <!-- Row 3 -->

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName2')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName2')?.value">
      </div>


    <!--  -->
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.majorLevelName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('majorLevelName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.schoolName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('schoolName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.facultyName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('facultyName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.qualificationEnglish'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('qualificationEnglish')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniorityMB'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('seniorityName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniority'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('posSeniorityName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          proposeDTO?.proposeDetails[0]?.employee?.periodNameT2 ? ('development.proposed-unit.detail.employee.T2' | translate) + proposeDTO?.proposeDetails[0]?.employee?.periodNameT2 : ('development.proposed-unit.detail.employee.T2' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT2')?.value
          }} {{ employeeForm.get('semesterRankT2')?.value ? ('(' + employeeForm.get('semesterRankT2')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          proposeDTO?.proposeDetails[0]?.employee?.periodNameT1 ? ('development.proposed-unit.detail.employee.T1' | translate) +  proposeDTO?.proposeDetails[0]?.employee?.periodNameT1 : ('development.proposed-unit.detail.employee.T1' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT1')?.value
          }} {{ employeeForm.get('semesterRankT1')?.value ? ('(' + employeeForm.get('semesterRankT1')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.nearestDiscipline'
            | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('nearestDiscipline')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.endOfDisciplinaryDuration'
            | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('endOfDisciplinaryDuration')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.ratedCapacity' | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('ratedCapacity')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <label class="partyDate" [nzDisabled]="true" formControlName="partyDate" nz-checkbox>{{
          'development.proposed-unit.detail.employee.partyDate' | translate
        }}</label>
      </div>
    </ng-container>
  </div>
  <div [nzGutter]="[32, 48]" nz-row>
    <div class="gutter-row" nz-col nzLg="24"></div>
    <div class="gutter-row" nz-col nzLg="8"></div>
    <div class="gutter-row text-center" nz-col nzLg="8">
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandInfoEmp()"
      >
        <span>
          <em nz-icon [nzType]="expandInfoEmpText()"></em>
        </span>
      </mb-button>
    </div>
    <div class="gutter-row" nz-col nzLg="8"></div>
  </div>
</nz-card>

<!-- Thông tin đề xuất -->
<nz-card class="rotationForm">
  <h3>{{ 'development.appointmentRenewal.createScreen.recommendedInformation' | translate }}<span class="label__required">*</span></h3>

  <nz-table
    #basicTable
    [nzData]="rotations"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="rotationTable"
    id="proposeDetailForm"
  >
    <thead>
      <tr>
        <th class="" nzWidth="5%" scope="col"></th>
        <th class="text-center" nzWidth="10%" scope="col">
          {{ 'development.proposed-unit.table.unit' | translate }}
        </th>
        <th class="text-center" nzWidth="15%" scope="col">
          {{
            'development.proposed-unit.formRotation.rotationName' | translate
          }}
        </th>

        <th class="text-center" scope="col" nzWidth="35%">
          {{ 'development.proposed-unit.formRotation.otherUnit' | translate }}
        </th>

        <th class="text-center" scope="col" nzWidth="25%">
          {{ 'development.proposed-unit.formRotation.otherTitle' | translate }}
        </th>

        <th class="text-center" nzWidth="10%" scope="col">
          {{
            'development.proposed-unit.formRotation.proposeLevel' | translate
          }}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of basicTable.data; let i = index">
        <td>
          <nz-radio-group
            [(ngModel)]="item.formRotation"
            [ngModelOptions]="{ standalone: true }"
            [nzDisabled]="
            screenCode === screenCodeConst.HRDV ||
              !employeeForm.get('empCode')?.value || typeAction === screenType.detail || isScreenHandle
            "
            nzName="formRotation"
          >
            <label
              (click)="onChangeFormRotation(i)"
              nz-radio
              nzValue="{{ i }}"
            ></label>
          </nz-radio-group>
        </td>
        <td class="text-center"
          [nzTooltipTitle]="
            checkformRotationLabel(item.formRotationLabel) | translate
          "
          nz-tooltip
        >
          {{ item.formRotationLabel }}
        </td>

        <td>
          <mb-select
            (mbSelect)="onChangeFormCode($event)"
            [(ngModel)]="item.formRotationType"
            [ngModelOptions]="{ standalone: true }"
            [mbDataSelects]="dataCommon.formGroupMultipleList"
            [mbDisable]="item.disabled || typeAction === screenType.detail || isScreenHandle"
            [mbType]="isSubmitted && !item.formRotationType && !item.disabled ? 'error' : 'default'"
            [mbShowError]="isSubmitted && !item.formRotationType && !item.disabled"
            [mbErrors]="{required:true}"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
            mbKeyLabel="formName"
            mbKeyValue="formCode"
            mbPlaceholder="{{
              'development.proposed-unit.formRotation.rotationName' | translate
            }}"
          >
          </mb-select>
        </td>
        <td class="selectUnit">
          <ng-container *ngIf="(typeAction === screenTypeConst.Detail || isScreenHandle) && item?.formRotation">
          <span>{{ proposeDTO?.proposeDetails[0]?.contentUnitPathName }}</span>
        </ng-container>
          <ng-container *ngIf="typeAction !== screenTypeConst.Detail && !isScreenHandle ">
            <mb-select-unit
              (ngModelChange)="onChangeUnit($event?.orgId, i)"
              *ngIf="i === 1"
              [(ngModel)]="item.contentUnit"
              [ngModelOptions]="{ standalone: true }"
              [disabled]="item.disabled || typeAction === screenType.detail"
              mbPlaceholder="{{
                'development.proposed-unit.table.unit' | translate
              }}"
              [mbType]="isSubmitted && !item.contentUnit && !item.disabled ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !item.contentUnit && !item.disabled"
              [mbErrors]="{required:true}"
              [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
            >
            </mb-select-unit>
            <mb-select
              (mbSelect)="onChangeUnit($event, i)"
              *ngIf="i === 0"
              [(ngModel)]="item.contentUnitCode"
              [ngModelOptions]="{ standalone: true }"
              [mbDataSelects]="listInUnit"
              [mbDisable]="item.disabled || typeAction === screenType.detail"
              mbKeyLabel="name"
              mbKeyValue="value"
              mbPlaceholder="{{
                'development.proposed-unit.table.unit' | translate
              }}"
              [mbType]="isSubmitted && !item.contentUnitCode && !item.disabled? 'error' : 'default'"
              [mbShowError]="isSubmitted && !item.contentUnitCode && !item.disabled"
              [mbErrors]="{required:true}"
              [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
            >
            </mb-select>
          </ng-container>
        </td>
        <td>
          <mb-select
            (mbSelect)="selectProposeTitle($event)"
            [(ngModel)]="item.contentTitleCode"
            [ngModelOptions]="{ standalone: true }"
            [mbDataSelects]="jobDTOSApi"
            [mbDisable]="
              item.disabled || item.formRotationTitle === formRotationTitle.SAME_TITLE || typeAction === screenType.detail || isScreenHandle
            "
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbPlaceholder="{{
              'development.proposed-unit.table.proposeTitle' | translate
            }}"
            [mbType]="isSubmitted && !item.contentTitleCode && !item.disabled ? 'error' : 'default'"
            [mbShowError]="isSubmitted && !item.contentTitleCode && !item.disabled"
            [mbErrors]="{required:true}"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-select>
        </td>
        <td>
          <mb-select
            [(ngModel)]="item.level"
            [ngModelOptions]="{ standalone: true }"
            [mbDataSelects]="listLevel"
            [mbDisable]="item.disabled || typeAction === screenType.detail || isScreenHandle"
            mbKeyLabel="name"
            mbKeyValue="name"
            mbPlaceholder="{{
              'development.proposed-unit.formRotation.level' | translate
            }}"
          >
          </mb-select>
        </td>
      </tr>
    </tbody>
  </nz-table>

  <div
    [nzGutter]="[32, 24]"
    class="infoPropose"
    nz-row
    [formGroup]="proposeDetailForm"
  >
    <div nz-col class="labelDateInfoPropose" nzLg="3">
      {{ 'development.appointmentRenewal.createScreen.proposedImplementationDate' | translate }}<span class="label__required">*</span>
    </div>
    <div nz-col nzLg="3">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        formControlName="implementDate"
        [mbDisabledDate]="disabledImplementDate"
        [mbType]="isSubmitted && proposeDetailForm.controls['implementDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && proposeDetailForm.controls['implementDate'].errors != null"
        [mbErrors]="proposeDetailForm.controls['implementDate'].errors"
        [mbErrorDefs]="[{ errorName: 'required',
          errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"

      >
      </mb-date-picker>
    </div>


    <div nz-col nzLg="2"></div>
    <ng-container *ngIf="rotationTimeViewMin">

    <div nz-col class="labelDateInfoPropose" nzLg="3">
      {{ 'development.appointmentRenewal.createScreen.minimumTime' | translate }}
    </div>
    <div nz-col nzLg="2">
      <mb-input-text
        mbInputType="number"
        [mbShowFlexEnd]="false"
        formControlName="minimumTime"
        minNumber="0"
        [mbDisabledDate]="disabledImplementDate"
        [mbType]="isSubmitted && proposeDetailForm.controls['minimumTime'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && proposeDetailForm.controls['minimumTime'].errors != null"
        [mbErrors]="proposeDetailForm.controls['minimumTime'].errors"
        [mbErrorDefs]="[{ errorName: 'required',
          errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
      >
      </mb-input-text>
    </div>
   </ng-container>

    <div nz-col nzLg="2"></div>
    <ng-container *ngIf="rotationTimeViewMax">

    <div nz-col class="labelDateInfoPropose" nzLg="2">{{ 'development.appointmentRenewal.createScreen.maxTime' | translate }}</div>
    <div nz-col nzLg="2">
      <mb-input-text
        mbInputType="number"
        [mbShowFlexEnd]="false"
        formControlName="maximumTime"
        minNumber="0"
        [mbDisabledDate]="disabledImplementDate"
        [mbType]="isSubmitted && proposeDetailForm.controls['maximumTime'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && proposeDetailForm.controls['maximumTime'].errors != null"
        [mbErrors]="proposeDetailForm.controls['maximumTime'].errors"
        [mbErrorDefs]="[{ errorName: 'required',
          errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
      >
      </mb-input-text>
    </div>

    <div nz-col nzLg="2">
      <mb-select
        formControlName="timeType"
        [ngModelOptions]="{ standalone: true }"
        [mbDataSelects]="dataCommon.timeTypeEnums"
        mbKeyLabel="description"
        mbKeyValue="code"
        mbPlaceholder="{{'development.promulgate.section.typeMaximumTime' | translate }}"
        [mbDisabledDate]="disabledImplementDate"
        [mbType]="isSubmitted && proposeDetailForm.controls['timeType'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && proposeDetailForm.controls['timeType'].errors != null"
        [mbErrors]="proposeDetailForm.controls['timeType'].errors"
        [mbErrorDefs]="[{ errorName: 'required',
          errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
      >
          </mb-select>
    </div>
  </ng-container>
  </div>

  <div [nzGutter]="[32, 24]" class="infoPropose" nz-row [formGroup]="proposeDetailForm">
    <div nz-col nzLg="24">
      <h3>{{ 'development.appointmentRenewal.createScreen.reasonForAppointment' | translate }}<span class="label__required">*</span></h3>
      <mb-input-text
        [mbMaxLength]="100"
        formControlName="concurrentReason"
        [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        name="comment"
        mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.reasonForAppointment' | translate }}"
        [mbType]="isSubmitted && proposeDetailForm.controls['concurrentReason'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && proposeDetailForm.controls['concurrentReason'].errors != null"
        [mbErrors]="proposeDetailForm.controls['concurrentReason'].errors"
        [mbErrorDefs]="[{ errorName: 'required',
          errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
      ></mb-input-text>
    </div>
  </div>

  <h3 class="infoPropose">
    {{ 'development.appointmentRenewal.createScreen.resultOfTHCV' | translate }}
  </h3>
  <nz-table
    #basicTable2
    [nzData]="
      proposePerformanceResults?.length > 0 ? proposePerformanceResults : [{}]
    "
    [nzPageSize]="proposePerformanceResults?.length"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="resultJobCard"
    nzTableLayout="fixed"
  >
    <thead>
      <tr>
        <th class="text-center resultJobCard__STT" rowspan="2" scope="col">
          {{ 'development.proposed-unit.table.stt' | translate }}
        </th>
        <th
          class="text-center resultJobCard__targetAssigned"
          rowspan="2"
          scope="col"
        >
          {{
            'development.proposed-unit.proposePerformanceResult.targetAssigned'
              | translate
          }}
        </th>
        <th
          class="subHeader-title resultJobCard__density"
          rowspan="2"
          scope="col"
        >
          {{
            'development.proposed-unit.proposePerformanceResult.density'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__plan" colspan="2" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.plan'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__action" colspan="2" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.action'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__mark" rowspan="2" scope="col">
          {{ 'development.proposed-unit.detail.employee.mark' | translate }}
        </th>
        <th class="alternativeCard__action" rowspan="2" scope="col"
          *ngIf="typeAction === screenTypeConst.Update && !isScreenHandle"></th>
      </tr>
      <tr>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.planIndicator'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.deadline'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.planIndicator'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.deadline'
              | translate
          }}
        </th>
      </tr>
    </thead>
    <tbody>
      <ng-container>
        <tr *ngFor="let item of basicTable2.data; let i = index">
          <td class="text-center">{{ i + 1 }}</td>
          <td class="span-disable">
            <span
              *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle"
              >{{ item.targetAssigned }}</span
            >
            <input
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.targetAssigned"
              [ngModelOptions]="{ standalone: true }"
              maxlength="200"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.targetAssigned'
                  | translate
              }}"
            />
          </td>
          <td class="span-disable">
            <span
              *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle"
              >{{ item.density }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, true)"
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.density"
              [ngModelOptions]="{ standalone: true }"
              [nzMax]="100"
              [nzMin]="0"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.density'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <span
              *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle"
              >{{ item.planIndicator }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, false)"
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.planIndicator"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.planIndicator'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <div *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle">
              <span *ngIf="item.planDeadline">
                <em
                  nz-icon
                  nzTheme="outline"
                  nzType="calendar"
                  class="resultJobCard__calendar"
                ></em>
              </span>
              <span>{{ item.planDeadline | date: 'dd/MM/yyyy' }}</span>
            </div>
            <mb-date-picker
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.planDeadline"
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              [ngModelOptions]="{ standalone: true }"
            >
            </mb-date-picker>
          </td>
          <td class="span-disable">
            <span
              *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle"
              >{{ item.realityIndicator }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, false)"
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.realityIndicator"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.planIndicator'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <div *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle">
              <span *ngIf="item.realityDeadline">
                <em
                  nz-icon
                  nzTheme="outline"
                  nzType="calendar"
                  class="resultJobCard__calendar"
                ></em>
              </span>
              <span>{{ item.realityDeadline | date: 'dd/MM/yyyy' }}</span>
            </div>
            <mb-date-picker
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.realityDeadline"
              [ngModelOptions]="{ standalone: true }"
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              name="estimatedDate"
            >
            </mb-date-picker>
          </td>
          <td class="span-disable">
            <span
              *ngIf="item.disabled || !employeeForm.get('empCode')?.value || isScreenHandle"
              >{{ item.point }}</span>
            <nz-input-number
              (nzBlur)="calculatePoint()"
              *ngIf="!item.disabled && employeeForm.get('empCode')?.value && !isScreenHandle"
              [(ngModel)]="item.point"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="Điểm"
            ></nz-input-number>
          </td>
          <td
            *ngIf="
              typeAction === screenTypeConst.Update &&
              employeeForm.get('empCode')?.value &&
              !isScreenHandle
            "
          >
            <em
              nz-icon
              nzType="plus-circle"
              class="icon-single"
              (click)="addProposePerformanceResult()"
            ></em>
            <em
              nz-icon
              nzType="delete"
              class="icon-single"
              *ngIf="!checkDeletePerformance()"
              (click)="deleteProposePerformanceResult(i)"
            >
            </em>
          </td>
        </tr>
      </ng-container>
      <tr>
        <td class="resultJobCard__total text-center">
          {{
            'development.proposed-unit.proposePerformanceResult.total'
              | translate
          }}
        </td>
        <td></td>
        <td class="span-disable">
          {{ sumProposePerformanceResults || 0 }}
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td class="span-disable">{{ sumPoint || 0 }}</td>
        <td *ngIf="typeAction === screenTypeConst.Update && !isScreenHandle"></td>
      </tr>
    </tbody>
  </nz-table>

  <h3 class="infoPropose" id="infoPropose">
    {{ 'development.appointmentRenewal.createScreen.orientationOfAssigned' | translate }}<span class="label__required">*</span>
  </h3>
  <nz-table
    #basicTable3
    [nzData]="orientationJob && orientationJob.length > 0 ? orientationJob : [{}]"
    class="rotationReasonTB"
    [nzShowPagination]="false"

  >
    <thead>
      <tr>
        <th class="text-center" nzWidth="5%" scope="col">
          {{ 'development.proposed-unit.table.stt' | translate }}
        </th>
        <th nzWidth="90%" scope="col">
          {{ 'development.appointmentRenewal.createScreen.aspectsOfWork' | translate }}
        </th>
        <th
          *ngIf="
            typeAction === screenTypeConst.Update && !isScreenHandle
          "
          scope="col"
        ></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of basicTable3.data; let i = index">
        <td class="text-center">
          {{ i + 1 }}
        </td>
        <td>
          <span *ngIf="typeAction === screenTypeConst.Detail || isScreenHandle">{{
            item.orientationJob
          }}</span>
          <mb-input-text
            *ngIf="typeAction !== screenTypeConst.Detail && !isScreenHandle"
            [(ngModel)]="item.orientationJob"
            [ngModelOptions]="{ standalone: true }"
            [mbDisable]="
              typeAction === screenTypeConst.Detail || isScreenHandle
            "
            [mbMaxLength]="200"
            mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.aspectsOfWork' | translate }}"
            [mbType]="isSubmitted && !item.orientationJob ? 'error' : 'default'"
            [mbShowError]="isSubmitted && !item.orientationJob"
            [mbErrors]="{required:true}"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          ></mb-input-text>
        </td>
        <td
          *ngIf="
            typeAction === screenTypeConst.Update && !isScreenHandle
          "
        >
          <em
            nz-icon
            nzType="plus-circle"
            class="icon-single"
            (click)="addOrientationWork()"
          ></em>
          <em
            nz-icon
            nzType="delete"
            class="icon-single"
            *ngIf="!checkOrientationWork()"
            (click)="deleteOrientationWork(i, item)"
          >
          </em>
        </td>
      </tr>
    </tbody>
  </nz-table>


  <h3 class="infoPropose">
    {{ 'development.appointmentRenewal.createScreen.arrangeForAdmission' | translate }}
  </h3>

  <label class="labelUnit infoPropose">{{ 'development.appointmentRenewal.createScreen.currentUnit' | translate }}</label>
  <nz-table
  #basicTable4
  [nzData]="currentUnit && currentUnit.length > 0 ? currentUnit : [{}]"
  [nzShowPagination]="false"
  class="rotationTable infoPropose"
>
  <thead>
    <tr>
      <th nzWidth="10%" scope="col">
        {{ 'development.appointmentRenewal.createScreen.source' | translate }}
      </th>
      <th nzWidth="85%" scope="col">
        {{ 'development.appointmentRenewal.createScreen.replacementPersonnel' | translate }}
      </th>
      <th
        *ngIf="
          typeAction === screenTypeConst.Update && !isScreenHandle
        "
        scope="col"
      ></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable4.data; let i = index">
      <td>
        <!-- <span *ngIf="typeAction === screenTypeConst.detail">{{ item.alternativeType }}</span> -->
        <mb-select
          [(ngModel)]="item.alternativeType"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="planAlternative"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{ 'development.proposed-unit.section.alternative1' | translate }}"
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
        >
        </mb-select>

      </td>
        <td>
          <ng-container *ngIf="item?.alternativeType === 0; else outUnit">
          <mb-input-text
            (click)="showModalEmpAlternative(footerTmplSingle, typeEmpAlternative.REPLACE, i)"
            [mbPrefixTemplate]="suffixIconSearch"
            [(ngModel)]="item.replacementEmployee"
            [mbMaxLength]="20"
            mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
            [mbReadOnly]="true"
            [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          >
          </mb-input-text>
          <ng-template #suffixIconSearch>
            <em nz-icon nzTheme="outline" nzType="search"></em>
          </ng-template>
          </ng-container>

          <!-- Trong đơn vị -->
          <ng-template #outUnit>
            <mb-input-text
              [mbMaxLength]="150"
              mbPlaceholderText="{{ 'development.proposed-unit.proposeAlternative.replacementEmployee' | translate }}"
              [(ngModel)]="item.replacementEmployee"
              [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
            ></mb-input-text>
        </ng-template>

        </td>

      <td
        *ngIf="
          typeAction === screenTypeConst.Update && !isScreenHandle
        "
      >
        <em
          nz-icon
          nzType="plus-circle"
          class="icon-single"
          (click)="addCurrentUnit()"
        ></em>
        <em
          nz-icon
          nzType="delete"
          class="icon-single"
          *ngIf="!checkCurrentUnit()"
          (click)="deleteCurrentUnit(i, item)"
        >
        </em>
      </td>
    </tr>
  </tbody>
</nz-table>

<ng-container *ngIf="proposedUnit.length > 0">

<label class="labelUnit infoPropose">{{ 'development.appointmentRenewal.createScreen.proposedUnit' | translate }}</label>
<nz-table
  #basicTable5
  [nzData]="proposedUnit && proposedUnit.length > 0 ? proposedUnit : [{}]"
  class="rotationTable infoPropose"
  id="proposedUnitTable"
  [nzShowPagination]="false"
  [nzPageSize]="proposedUnit.length"
>
  <thead>
    <tr>
      <th nzWidth="20%" scope="col">
        {{ 'development.appointmentRenewal.createScreen.layoutPlan' | translate }}
      </th>
      <th nzWidth="80%" scope="col">
        {{ 'development.appointmentRenewal.createScreen.personnelInPlace' | translate }}
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable5.data; let i = index">
      <td>
        <mb-select
            *ngIf="item.positionType === positionTypeEmp.CT"
            [(ngModel)]="item.alternativePlan"
            [ngModelOptions]="{ standalone: true}"
            [mbDataSelects]="dataCommon.alternativePlanSpecializeList"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbPlaceholder="{{ 'development.appointmentRenewal.createScreen.layoutPlan' | translate }}"
            [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
            [mbType]="isSubmitted && !item.alternativePlan ? 'error' : 'default'"
            [mbShowError]="isSubmitted && !item.alternativePlan"
            [mbErrors]="{required:true}"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          >
          </mb-select>

        <mb-select
          *ngIf="item.positionType === positionTypeEmp.KN"
          [(ngModel)]="item.alternativePlan"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="dataCommon.alternativePlanConcurrentList"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{ 'development.appointmentRenewal.createScreen.layoutPlan' | translate }}"
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          [mbType]="isSubmitted && !item.alternativePlan ? 'error' : 'default'"
          [mbShowError]="isSubmitted && !item.alternativePlan"
          [mbErrors]="{required:true}"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
        >
        </mb-select>

      </td>
      <td>
        {{
          item.contentTitle
        }}
      </td>


    </tr>
  </tbody>
</nz-table>
</ng-container>
</nz-card>

<nz-card>
  <h3 class="titleCommentsOfTheUnit">
  {{ 'development.appointmentRenewal.createScreen.commentsOfTheUnit' | translate }}<span class="label__required">*</span>
  </h3>

  <div
  *ngIf="typeAction !== screenType.create && conditionViolation.length > 0"
>
<nz-tag [nzColor]="displayConditionViolation()?.color" class="commentCard__tag">
  {{ displayConditionViolation()?.label }}
</nz-tag>
</div>


  <div class="commentsUnitCharge" id="commentsUnitCharge">
  <nz-table
  #commentsUnitCharge
  [nzData]="listCommentsUnitCharge && listCommentsUnitCharge.length > 0 ? listCommentsUnitCharge : [{}]"
  class="rotationTable infoPropose"
  [nzShowPagination]="false"

>
  <thead>
    <tr>
      <th class="text-center" nzWidth="5%" scope="col">
        {{ 'development.proposed-unit.table.stt' | translate }}
      </th>
      <th nzWidth="30%" scope="col">
        {{ 'development.appointmentRenewal.createScreen.assessmentCapabilities' | translate }}
      </th>
      <th nzWidth="30%">
        {{ 'development.appointmentRenewal.createScreen.strength' | translate }}
      </th>
      <th nzWidth="30%">
        {{ 'development.appointmentRenewal.createScreen.weaknesses' | translate }}
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of strategicCapacity; let i = index">
      <!-- <ng-container *ngIf="item.code === 'STRATEGIC_CAPACITY' || item.commonCode === 'STRATEGIC_CAPACITY'"> -->
        <td class="text-center">
          {{ item.code === 'STRATEGIC_CAPACITY' ? 1 : null }}
        </td>
        <td>
         {{ item.name }}
        </td>
        <td>
          <mb-input-text
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          *ngIf="item.commonCode === 'STRATEGIC_CAPACITY'"
          [mbIsTextAre]="true"
          [(ngModel)]="item.strength"
          [mbConfig]="{ rows: 1, autoSize: false }"
          name="strength"
          [mbMaxLength]="300"
          mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.strength' | translate }}"
          [mbType]="isSubmitted && !item.strength ? 'error' : 'default'"
          [mbShowError]="isSubmitted && !item.strength"
          [mbErrors]="{required:true}"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
        ></mb-input-text>

        </td>
        <td>
          <mb-input-text
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          *ngIf="item.commonCode === 'STRATEGIC_CAPACITY'"
          [mbIsTextAre]="true"
          [(ngModel)]="item.weakness"
          [mbConfig]="{ rows: 1, autoSize: false }"
          [mbMaxLength]="300"
          name="weakness"
          mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.weaknesses' | translate }}"
          [mbType]="isSubmitted && !item.weakness ? 'error' : 'default'"
          [mbShowError]="isSubmitted && !item.weakness"
          [mbErrors]="{required:true}"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          ></mb-input-text>
        </td>

      <!-- </ng-container> -->
    </tr>
      <tr *ngFor="let item of learningCapacity; let i = index">
        <td class="text-center">
          {{ item.code === 'LEARNING_CAPACITY' ? 2 : null }}
        </td>
        <td>
         {{ item.name }}
        </td>
        <td>
          <mb-input-text
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          *ngIf="item.commonCode === 'LEARNING_CAPACITY'"
          [mbIsTextAre]="true"
          [(ngModel)]="item.strength"
          [mbConfig]="{ rows: 1, autoSize: false }"
          name="strength"
          [mbMaxLength]="300"
          mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.strength' | translate }}"
          [mbType]="isSubmitted && !item.strength ? 'error' : 'default'"
          [mbShowError]="isSubmitted && !item.strength"
          [mbErrors]="{required:true}"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
        ></mb-input-text>

        </td>
        <td>
          <mb-input-text
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          *ngIf="item.commonCode === 'LEARNING_CAPACITY'"
          [mbIsTextAre]="true"
          [(ngModel)]="item.weakness"
          [mbConfig]="{ rows: 1, autoSize: false }"
          name="weakness"
          [mbMaxLength]="300"
          mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.weaknesses' | translate }}"
          [mbType]="isSubmitted && !item.weakness ? 'error' : 'default'"
          [mbShowError]="isSubmitted && !item.weakness"
          [mbErrors]="{required:true}"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
        ></mb-input-text>
        </td>
    </tr>

    <tr *ngFor="let item of performanceCapacity; let i = index">
      <ng-container *ngIf="item.commonCode === 'PERFORMANCE_CAPACITY'">
      <td class="text-center">
        3
      </td>
      <td>
       {{ item.name }}
      </td>
      <td>
        <mb-input-text
        [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
        [mbIsTextAre]="true"
        [(ngModel)]="item.strength"
        [mbConfig]="{ rows: 1, autoSize: false }"
        name="strength"
        [mbMaxLength]="300"
        mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.strength' | translate }}"
        [mbType]="isSubmitted && !item.strength ? 'error' : 'default'"
        [mbShowError]="isSubmitted && !item.strength"
        [mbErrors]="{required:true}"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
      ></mb-input-text>

      </td>
      <td>
        <mb-input-text
        [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
        [mbIsTextAre]="true"
        [(ngModel)]="item.weakness"
        [mbConfig]="{ rows: 1, autoSize: false }"
        name="weakness"
        [mbMaxLength]="300"
        mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.weaknesses' | translate }}"
        [mbType]="isSubmitted && !item.weakness ? 'error' : 'default'"
        [mbShowError]="isSubmitted && !item.weakness"
        [mbErrors]="{required:true}"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
      ></mb-input-text>
      </td>
    </ng-container>
  </tr>

  </tbody>
</nz-table>
</div>


  <nz-table
    #basicTable6
    [nzData]="employeeTraining && employeeTraining.length > 0 ? employeeTraining : [{}]"
    [nzShowPagination]="false"
    class="rotationTable infoPropose"
  >
    <thead>
      <tr>
        <th nzWidth="30%" scope="col">
          {{ 'development.appointmentRenewal.createScreen.trainingProposal' | translate }}
        </th>
        <th nzWidth="70%" scope="col">
          {{ 'development.appointmentRenewal.createScreen.detailTheContent1' | translate }}
        </th>

      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of basicTable6.data; let i = index">
        <td>
          <label 
            class="partyDate" 
            [nzDisabled]="typeAction === screenTypeConst.Detail || isScreenHandle"
            nz-checkbox 
            [(ngModel)]="item.isCheck"
            (ngModelChange)="onChangeEmployeeTraining(item)"
          >
          {{ item.name }}
          </label>
        </td>
        <td>
          <mb-input-text
          [mbDisable]="!item.isCheck || typeAction === screenTypeConst.Detail || isScreenHandle"
          [mbIsTextAre]="true"
          [(ngModel)]="item.contentTraining"
          [mbConfig]="{ rows: 1, autoSize: true }"
          [mbMaxLength]="200"
          name="strength"
          mbPlaceholderText="{{ 'development.appointmentRenewal.createScreen.detailTheContent2' | translate }}"
        ></mb-input-text>
        </td>

      </tr>
    </tbody>
  </nz-table>

  <div nz-row [nzGutter]="[40, 32]" class="infoPropose">
  <div
  *ngIf="typeAction !== screenType.create && violationCode !== constantsVoditionsCode.PASSED && conditionViolation.length > 0"
  class="gutter-row"
  nz-col
  nzLg="24"
>
  <span class="title-section">{{ 'development.proposed-unit.proposeComment.conditionFault' | translate }}</span
  ><br/>
  <div class="violations" nz-typography>
    <ul *ngFor="let item of conditionViolation">
      <li>{{ item }}</li>
    </ul>
  </div>
</div>
</div>

</nz-card>



<nz-card>
  <ng-container>
    <div nz-row [nzGutter]="[40, 32]">
      <div nz-col class="gutter-row" nzLg="16" *ngIf="screenCode === screenCodeConst.HRDV">
        <nz-radio-group
          [(ngModel)]="displayReport"
          (ngModelChange)="checkReportStatus()"
          class="header-form__radio"
          [nzDisabled]="typeAction === screenTypeConst.Detail || isScreenHandle"
        >
          <label nz-radio [nzValue]="true">{{
            'development.proposed-unit.reportCard.approveOnHCM' | translate
          }}</label>
          <label nz-radio [nzValue]="false">{{
            'development.proposed-unit.reportCard.notThroughLeader' | translate
          }}</label>
        </nz-radio-group>
      </div>
    </div>

    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formTTQD"
      class="infoPropose"
      *ngIf="viewReportHRDV()"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="24">
        <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
        *ngIf="!displayReport"
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbDisable]="typeAction === screenTypeConst.Detail || checkDisplayReportEdit() || isScreenHandle"
          [mbType]="isSubmitFormReportElement && formTTQD.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElement && formTTQD.controls['statementNumber'].errors != null"
          [mbErrors]="formTTQD.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
        *ngIf="!displayReport"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisabledDate]="disabledEndDateSubmission"
          [mbDisabled]="typeAction === screenTypeConst.Detail || checkDisplayReportEdit() || isScreenHandle"
          [mbType]="isSubmitFormReportElement && formTTQD.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElement && formTTQD.controls['submissionDate'].errors != null"
          [mbErrors]="formTTQD.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-date-picker>
      </div>

      <ng-container *ngIf="displayExportApproveLDDV()">
        <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
          <mb-button
            *ngIf="!displayReport"
          (click)="dowloadStatement(0)"
            mbButtonAvailableStyle='PRIMARY'
            class="expand-btn"
            mbButtonText="{{ 'development.proposed-unit.reportCard.printReport' | translate }}"
          >
          </mb-button>
        </div>
        <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNoteOrigin()">
          <mb-input-text
            [mbIsTextAre]='true'
            [mbMaxLength]="100"
            [mbConfig]="{ rows: 4, autoSize: false }"
            formControlName="approveNote"
            mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}
            <span class='label__required'>*</span>"
            mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
            [mbType]="isSubmitFormReportElement && formTTQD.controls['approveNote'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitFormReportElement && formTTQD.controls['approveNote'].errors != null"
            [mbErrors]="formTTQD.controls['approveNote'].errors"
            [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          ></mb-input-text>
        </div>
      </ng-container>
    </div>

    <!-- tờ trình chỉnh sửa của Đon vị -->
    <ng-container *ngIf="checkDisplayReportEdit()">
      <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnitEdit' | translate }}</h3>
      <div
        nz-row
        [nzGutter]="[40, 32]"
        [formGroup]="formReportElement"
      >
        <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
          <mb-input-text
            mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
            mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
            formControlName="statementNumber"
            [mbMaxLength]="10"
            [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
            [mbType]="isSubmitFormReportElement && formReportElement.controls['statementNumber'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitFormReportElement && formReportElement.controls['statementNumber'].errors != null"
            [mbErrors]="formReportElement.controls['statementNumber'].errors"
            [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
          <mb-date-picker
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
            formControlName="submissionDate"
            [mbDisabled]="typeAction === screenTypeConst.Detail || isScreenHandle"
            [mbType]="isSubmitFormReportElement && formReportElement.controls['submissionDate'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitFormReportElement && formReportElement.controls['submissionDate'].errors != null"
            [mbErrors]="formReportElement.controls['submissionDate'].errors"
            [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
            [mbDisabledDate]="disabledEndDateSubmission"
          >
          </mb-date-picker>
        </div>
        <div nz-col class="gutter-row paddingTopStatement" nzLg="6"
          *ngIf="fileListSelectTTElement.length === 1 || this.typeAction === this.screenType.update">
          <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
          <nz-upload
            [nzDownload]="downloadFile"
            [nzDisabled]="fileListSelectTTElement.length === 1"
            nzListType="text"
            [(nzFileList)]="fileListSelectTTElement"
            [nzBeforeUpload]="beforeUploadTT"
            [nzRemove]="doRemoveFileTT"
            [nzMultiple]="false"
            *ngIf="!checkViewFileElement()"
          >
            <mb-button
              mbButtonAvailableStyle='PRIMARY'
              class="reportCard__uploadBtn"
              *ngIf="typeAction === screenType.update && checkDisplayReportEdit()"
            >
              <span>
                <em nz-icon nzType="upload"></em>
              </span>
            </mb-button>
          </nz-upload>
          <a *ngIf="checkViewFileElement()" (click)="downloadFile2(fileElement.uid, fileElement.fileName)">
            {{ fileElement.fileName }}
          </a>
        </div>
        <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
        <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNote()">
          <mb-input-text
            [mbIsTextAre]='true'
            [mbMaxLength]="100"
            [mbConfig]="{ rows: 4, autoSize: false }"
            formControlName="approveNote"
            [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
            mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
            mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
            [mbType]="isSubmitFormReportElement && formReportElement.controls['approveNote'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitFormReportElement && formReportElement.controls['approveNote'].errors != null"
            [mbErrors]="formReportElement.controls['approveNote'].errors"
            [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
            ]"
          ></mb-input-text>
        </div>
      </div>
    </ng-container>
  </ng-container>




  <nz-table
    #basicTable7
    [nzData]="[{}]"
    [nzShowPagination]="false"
    class="rotationTable infoPropose"
    id="attachments"
  >
    <thead>
      <tr>
        <th nzWidth="25%" scope="col">
          {{ 'development.appointmentRenewal.createScreen.attachments' | translate }}
        </th>
        <th nzWidth="25%" scope="col">
        </th>
        <th nzWidth="25%" scope="col"></th>
        <th nzWidth="25%" scope="col">
          {{ 'development.appointmentRenewal.createScreen.attachedFiles' | translate }}<span class="label__required">*</span>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <label class="partyDate" [disabled]="typeAction === screenTypeConst.Detail || isScreenHandle" nz-checkbox [(ngModel)]="personalReview">{{ 'development.appointmentRenewal.createScreen.personalSelfAssessment' | translate }}</label>
        </td>
        <td>
          <label class="partyDate" [disabled]="typeAction === screenTypeConst.Detail || isScreenHandle" nz-checkbox [(ngModel)]="reportBranchMeeting">{{ 'development.appointmentRenewal.createScreen.branchMeeting' | translate }}</label>
        </td>
        <td>
          <label class="partyDate" [disabled]="typeAction === screenTypeConst.Detail || isScreenHandle" nz-checkbox [(ngModel)]="different">{{ 'development.appointmentRenewal.createScreen.other' | translate }}</label>
        </td>
        <td>

        <nz-upload
        *ngIf="typeAction !== screenTypeConst.Detail && !isScreenHandle && fileListCreate.length < 1"
        [nzDownload]="downloadFile"
        [nzDisabled]="fileListCreate.length === 1 || typeAction === screenTypeConst.Detail || isScreenHandle"
        nzListType="text"
        [(nzFileList)]="fileListCreateNull"
        [nzBeforeUpload]="beforeUpload"
        [nzRemove]="doRemoveFile"
        [nzMultiple]="false"
      >
        <mb-button
          mbButtonAvailableStyle='PRIMARY'
          class="reportCard__uploadBtn"
          *ngIf="typeAction === screenTypeConst.Update"
        >
          <span>
            <em nz-icon nzType="upload"></em>
          </span>
        </mb-button>
      </nz-upload>

        </td>
      </tr>
      <tr>
        <td>
          <label class="partyDate" [disabled]="typeAction === screenTypeConst.Detail || isScreenHandle" nz-checkbox [(ngModel)]="targetAppoint">{{ 'development.appointmentRenewal.createScreen.assignTheTarget' | translate }}</label>
        </td>
        <td>
          <label class="partyDate" [disabled]="typeAction === screenTypeConst.Detail || isScreenHandle" nz-checkbox [(ngModel)]="consultationComment">{{ 'development.appointmentRenewal.createScreen.consultationsIs' | translate }}</label>
        </td>
        <td>
        </td>
        <td>
          <a (click)="downloadFile()">
            {{ nameFileListCreate }}
          </a>
          <em
            *ngIf="fileListCreate.length > 0 && (typeAction === screenTypeConst.Update && !isScreenHandle )"
            nz-icon
            nzType="delete"
            nzTheme="outline"
            class="deleteIconEmployee"
            (click)="doRemoveFile()">
          </em>


        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>


<app-consultation-screen
[proposeId]="proposeId"
*ngIf="isScreenHandle || (!viewProposeLogsStatus() && typeAction !== screenTypeConst.Create) || (hasProcess && flowStatusCode === flowCodeConst.WITHDRAW) && screenCode !== screenCodeConst.HRDV"
  [screenCode]="screenCode"
  [proposeCategory]="proposeCategory"
  [dataForm]="proposeDTO"
  [typeAction]="typeAction"
  [proposeDetailId]="proposeDetailId"
  [dataCommon]="dataCommon"
  [flowStatusCode]="flowStatusCode"
  [statusPublishCode]="statusPublishCode"
  (onLoading)="onLoading($event)"
  #consultationScreenComponent
></app-consultation-screen>

<!-- duyệt rút đề xuất -->
<nz-card class="idea" id="confirmWithdraw"
  *ngIf="(checkWithdrawBtn() || checkBtnWithdrawPTNL()) && typeAction === screenType.detail">
  <div nz-row [nzGutter]="[40, 32]">
    <div nz-col class="gutter-row" nzLg="8">
      <span class="title-section">{{ 'development.proposed-unit.detail.menu.approrvedProposals' | translate }}</span>
      <div class="approrvedProposals">
        <nz-radio-group nzDisabled="true" *ngIf="!checkWithdrawType" [ngModel]="proposeDTO?.withdrawType">
          <label class="propose-radio"  nz-radio [nzValue]="0">
            {{ 'development.proposed-unit.detail.menu.cancelProposal' | translate }}
          </label>
          <label class="propose-radio" nz-radio [nzValue]="1">
            {{ 'development.proposed-unit.detail.menu.editProposal' | translate }}
          </label>
        </nz-radio-group>
      </div>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <div class="title-section-2" *ngIf="checkWithdrawType">
        <span>{{ 'development.proposed-unit.detail.menu.rejectWithdrawProposals' | translate }}</span>
      </div>
      <mb-input-text
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        [mbDisable]="true"
        [ngModel]="proposeDTO?.withdrawReason"
        mbLabelText="{{ 'development.proposed-unit.detail.menu.reason' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.detail.menu.reason' | translate }}"
      ></mb-input-text>
    </div>
  </div>
</nz-card>



<nz-card class="idea" id="idea" *ngIf="checkApproveLDDV()">
  <mb-input-text
    [mbIsTextAre]='true'
    [mbConfig]="{ rows: 4, autoSize: true }"
    [(ngModel)]="note"
    name="note"
    mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    mbPlaceholderText="{{ 'development.proposed-unit.detail.idea' | translate }}"
  ></mb-input-text>
</nz-card>

<nz-card class="idea"
  *ngIf="(checkWithdrawBtn() || checkBtnWithdrawPTNL()) && typeAction === screenType.detail">
  <mb-input-text
    [mbIsTextAre]='true'
    [mbConfig]="{ rows: 4, autoSize: true }"
    [(ngModel)]="comment"
    name="comment"
    mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    mbPlaceholderText="{{ 'development.proposed-unit.detail.idea' | translate }}"
  ></mb-input-text>
</nz-card>

<!-- Lịch sử -->
<nz-card *ngIf="(typeAction === screenTypeConst.Detail || !(typeAction === screenTypeConst.Update && this.isScreenHandle)) && ( viewProposeLogsStatus() || !hasProcess)"
         class="proposeLog">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>





<ng-template #footerTmplSingle>
  <mb-button
    (click)="modalRef?.destroy()"
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="Hủy bỏ"
  >
  </mb-button>
</ng-template>


<ng-template #popUpError>
  <div *ngIf="messageListError" class="message_error">
    <span>{{ messageListError }}</span>
  </div>
</ng-template>
